Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.plexus.transport.xmpp
Class DefaultXMPPTransportService

    java.lang.Object
      org.codehaus.xfire.plexus.transport.xmpp.DefaultXMPPTransportService

All Implemented Interfaces:
  org.codehaus.plexus.personality.plexus.lifecycle.phase.Disposable, org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable, org.codehaus.plexus.personality.plexus.lifecycle.phase.Serviceable

    public class DefaultXMPPTransportService

extends java.lang.Object
implements org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable, org.codehaus.plexus.personality.plexus.lifecycle.phase.Serviceable, org.codehaus.plexus.personality.plexus.lifecycle.phase.Disposable

Author:
  Dan Diephouse

Constructor Summary
`DefaultXMPPTransportService()`

Method Summary
`void` | `dispose()`
`TransportManager` | `getTransportManager()`
`XFire` | `getXFire()`
`void` | `initialize()`
`void` | `service(org.codehaus.plexus.personality.plexus.lifecycle.phase.ServiceLocator locator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultXMPPTransportService

    public DefaultXMPPTransportService()

Method Detail

### initialize

    public void initialize()

  Specified by:
    `initialize` in interface `org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable`
  Throws:
    `java.lang.Exception`

### getXFire

    public XFire getXFire()

### getTransportManager

    public TransportManager getTransportManager()

### service

    public void service(org.codehaus.plexus.personality.plexus.lifecycle.phase.ServiceLocator locator)

  Specified by:
    `service` in interface `org.codehaus.plexus.personality.plexus.lifecycle.phase.Serviceable`
  See Also:
    `Serviceable.service(org.codehaus.plexus.personality.plexus.lifecycle.phase.ServiceLocator)`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.codehaus.plexus.personality.plexus.lifecycle.phase.Disposable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.